Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.tudelft.simulation.dsol.simulators
Interface AnimatorInterface

All Superinterfaces:
  DESSSimulatorInterface, DEVDESSSimulatorInterface, DEVSSimulatorInterface, nl.tudelft.simulation.event.EventProducerInterface, java.rmi.Remote, java.io.Serializable, SimulatorInterface

All Known Implementing Classes:
  Animator

public interface AnimatorInterface
extends DEVDESSSimulatorInterface

The AnimatorInterface defines a DEVSDESS simulator with wallclock delay between the consequtive time steps.

(c) copyright 2003 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: General Public License (GPL) , no warranty

Since:
  1.0
Version:
  1.10 2004-03-26
Author:
  Peter Jacobs

Field Summary
`static nl.tudelft.simulation.event.EventType` | `ANIMATION_DELAY_CHANGED_EVENT` ANIMATION_DELAY_CHANGED_EVENT is fired when the time step is set
`static long` | `DEFAULT_ANIMATION_DELAY` DEFAULT_ANIMATION_DELAY of 0 miliseconds used in the animator
`static nl.tudelft.simulation.event.EventType` | `UPDATE_ANIMATION_EVENT` UPDATE_ANIMATION_EVENT is fired to wake up animatable components

Fields inherited from interface nl.tudelft.simulation.dsol.simulators.DEVSSimulatorInterface
`EVENTLIST_CHANGED_EVENT`

Fields inherited from interface nl.tudelft.simulation.dsol.simulators.SimulatorInterface
`END_OF_REPLICATION_EVENT, START_EVENT, START_REPLICATION_EVENT, STEP_EVENT, STOP_EVENT, TIME_CHANGED_EVENT, WARMUP_EVENT`

Fields inherited from interface nl.tudelft.simulation.event.EventProducerInterface
`FIRST_POSITION, LAST_POSITION`

Fields inherited from interface nl.tudelft.simulation.dsol.simulators.DESSSimulatorInterface
`DEFAULT_TIME_STEP, TIME_STEP_CHANGED_EVENT`

Method Summary
`long` | `getAnimationDelay()` returns the animation delay between each consequtive timestep
`void` | `setAnimationDelay(long miliseconds)` sets the animationDelay

Methods inherited from interface nl.tudelft.simulation.dsol.simulators.DEVSSimulatorInterface
`cancelEvent, getEventList, scheduleEvent, scheduleEvent, scheduleEvent, scheduleEvent, scheduleEvent, setEventList`

Methods inherited from interface nl.tudelft.simulation.dsol.simulators.SimulatorInterface
`getReplication, getSimulatorTime, initialize, isRunning, start, step, stop`

Methods inherited from interface nl.tudelft.simulation.event.EventProducerInterface
`addListener, addListener, addListener, addListener, getEventTypes, removeListener`

Methods inherited from interface nl.tudelft.simulation.dsol.simulators.DESSSimulatorInterface
`getTimeStep, setTimeStep`

Field Detail

### DEFAULT_ANIMATION_DELAY

    public static final long DEFAULT_ANIMATION_DELAY

  DEFAULT_ANIMATION_DELAY of 0 miliseconds used in the animator

  See Also:
    Constant Field Values

### UPDATE_ANIMATION_EVENT

    public static final nl.tudelft.simulation.event.EventType UPDATE_ANIMATION_EVENT

  UPDATE_ANIMATION_EVENT is fired to wake up animatable components

### ANIMATION_DELAY_CHANGED_EVENT

    public static final nl.tudelft.simulation.event.EventType ANIMATION_DELAY_CHANGED_EVENT

  ANIMATION_DELAY_CHANGED_EVENT is fired when the time step is set

Method Detail

### getAnimationDelay

    public long getAnimationDelay()
                           throws java.rmi.RemoteException

  returns the animation delay between each consequtive timestep

  Returns:
    the animaiton delay in milliseconds wallclock
  Throws:
    `java.rmi.RemoteException` - on network failure

### setAnimationDelay

    public void setAnimationDelay(long miliseconds)
                           throws java.rmi.RemoteException

  sets the animationDelay

  Parameters:
    `miliseconds` - the animation delay
  Throws:
    `java.rmi.RemoteException` - on network failure

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 Delft University of Technology, the Netherlands. All Rights Reserved.